1

Topic: Missing packages for installing mlmmh and uwsgi

==== REQUIRED BASIC INFO OF YOUR IREDMAIL SERVER ====
- iRedMail version (check /etc/iredmail-release): 0.9.8 upgrading to 0.9.9
- Deployed with iRedMail Easy or the downloadable installer? installer
- Linux/BSD distribution name and version: RHEL
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): MySQL
- Web server (Apache or Nginx): Apache
- Manage mail accounts with iRedAdmin-Pro? No
- [IMPORTANT] Related original log or error message is required if you're experiencing an issue.
====

# yum install mlmmj uwsgi uwsgi-plugin-python2 uwsgi-logger-syslog python-requests
Loaded plugins: priorities, protectbase, replace
Setting up Install Process
121 packages excluded due to repository priority protections
0 packages excluded due to repository protections
No package mlmmj available.
No package uwsgi available.
No package uwsgi-plugin-python2 available.
No package uwsgi-logger-syslog available.

Getting stuck on upgrading as my system did not have mlmmj installed which when trying to upgrade from 0.9.8 gave me this error:
# bash upgrade_iredadmin.sh
<<< ERROR >>> No mlmmjadmin installation found (/opt/mlmmjadmin).
<<< ERROR >>> Please follow iRedMail upgrade tutorials to the latest
<<< ERROR >>> stable release first, then come back to upgrade iRedAdmin-Pro.
<<< ERROR >>> mlmmj and mlmmjadmin was first introduced in iRedMail-0.9.8.
<<< ERROR >>> https://docs.iredmail.org/iredmail.releases.html

I've followed all tutorials for upgrading, but I'm thinking that because these packages were not available during install they were missed inadvertently in previous upgrades.  I have the iRedMail repository installed - do I need something else in order to add these missing packages?

2

Re: Missing packages for installing mlmmh and uwsgi

Please enable EPEL yum repo.

----

Does my reply help a little? How about buying me a cup of coffee ($5) as an encouragement?

buy me a cup of coffee